Skip to main content

Authorization

The authorization API provides tokens for secure access to the Meister1 platform. Use an access token to authenticate API requests, a refresh token to renew the session, and the SSO grant URL to seamlessly log in users.

AccessToken

info

API access requires an API key. Generate one in the Meister1 customer portal:

  1. Click your user name in the top right corner.
  2. Open Users & Access.
  3. Scroll to the API Keys section and generate a new key.

You receive a key ID (clientId) and a secret (clientSecret). The secret is shown only once during creation – store it securely.

Example Request

curl --location 'https://app.meister1.com/auth/v1/token' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'clientSecret=<CLIENT_SECRET>' \
--data-urlencode 'clientId=<CLIENT_ID>' \
--data-urlencode 'grantType=client_credentials'

Example Response

{
"accessToken": "eyJhbGciOi1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c2VyfDF8NDE5NiIsI6MTYczOTYxOTY0Nyk1NzAzNjE5NjQ3fQ._w7VfOIVqEoVEHkmmr4uYhU",
"expiresIn": 36000,
"tokenType": "Bearer",
"refreshToken": "9b449928632c5877f.cik243fd-f5jdue612fed.ac4db1b6-27af-464d-867a-78ee21a0f.56048d69784"
}

RefreshToken

Example Request

curl --location 'https://app.meister1.com/auth/v1/token' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'clientId=<EMAIL|USERNAME>' \
--data-urlencode 'grantType=refresh_token' \
--data-urlencode 'refreshToken=56a51ebws3f52.5914f61d-7d18-48b5-b9ea-c51d405791fe.f0b68e03-da10-4292-8154-8ee384b7e271.d982dws436d0ad34'

Example Response

{
"accessToken": "eyJhbGciOIsInR5cCI6IkpXVCJ9.eyWIiOiJ1c2VyfDF8NDE5NiIscCI6NTczOTYxOTY0Nyk1NzAzNjE5NjQ3fQ._w7VfOIVqEoVEHkmmr4uYhU",
"expiresIn": 36000,
"tokenType": "Bearer",
"refreshToken": "92uk9926b6877f.f026-42d1-b8da-f5jdue612fed.ac4db1b6-867a-78ee21a0f.5fe2239048d69784"
}

SSO Grant Url

Example Request

curl --location 'https://app.meister1.com/auth/v1/sso' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c2VyfDF8ND4cCI6MTY5NTc2MTk1OTc5MCwiaWF0Ijojk1NzI1OTU5NzkwfQ.AaninWlbz4i807-azE9zxvEUkkkUrp3y40FZo' \
--data-urlencode 'backUrl=https://www.beispiel.de/home' \
--data-urlencode 'accountId=<ACCOUNT_ID>' \
--data-urlencode 'locale=de-de'

Example Response

{
"grantUrl": "https://app.meister1.com/my/sso?token=72779b566415edd7185cbe87f2dw12a112fe1&userId=0001&timestamp=1695725988774&backUrl=https%3A%2F%2Fwww.beispiel.de%2Fhome&deepPath=%2Fcalculator%2FQ2FsY3YXRvcjoy",
"expiresIn": 15
}
caution

The grantUrl is only valid for 15 seconds.